from os.path import dirname
from os.path import join

from setuptools import find_packages
from setuptools import setup


with open(join(dirname(__file__), 'README.md'),
          mode='r', encoding='utf-8') as readme:
    long_description = readme.read()


def main():
    setup(
        name='report-writer-utils',
        author='Bars GROUP',
        version='0.1.0',
        description=(
            'Дополнительный инструменты для работы с report-writer'
        ),
        long_description=long_description,
        long_description_content_type='text/markdown',
        classifiers=[
            'Development Status :: 4 - Beta',
            'Intended Audience :: Developers',
            'Natural Language :: Russian',
            'Operating System :: OS Independent',
            'Programming Language :: Python',
            'Programming Language :: Python :: 3.6',
            'Programming Language :: Python :: 3.7',
            'Topic :: Software Development :: Libraries',
            'Typing :: Typed',
        ],
        packages=find_packages('src'),
        package_dir={'': 'src'},
        install_requires=(
            'report-writer>=0.1.2,<0.2',
            'xlsxwriter>=1.2.6,<1.3',
            'm3-objectpack>=2.2.0,<2.3',
            'm3-core>=2.2.0,<2.3'
        ),
    )


if __name__ == '__main__':
    main()
