from typing import TYPE_CHECKING
from typing import Any

from report_xlsxwriter.writers.simple import CellWriter


if TYPE_CHECKING:
    from report_xlsxwriter.report_file import ReportFile


class MergedCellWriter(CellWriter):
    """
    Писатель объединённой клетки.

    :param report: Файл отчёта
    :param height: Высота объединения
    :param width: Ширина объединения
    """
    def __init__(self,
                 report: 'ReportFile',
                 height: int,
                 width: int
                 ) -> None:
        super(MergedCellWriter, self).__init__(report)
        self._width: int = width
        self._height: int = height

    def write(self,
              row: int,
              col: int,
              data: Any
              ) -> None:
        self._report.worksheet.merge_range(
            row, col, row + self._height - 1, col + self._width - 1, data)
